microsoft-foundry.rest.security.o-auth2-auth
Deployments
Get a deployment
GET
/deployments/{name}
Retrieves a deployed model.
查询参数
api-version
string
必需
The API version to use for this operation.
路径参数
name
string
必需
Name of the deployment
标头参数
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
响应
The request has succeeded.
标头
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
正文
Content-Type: application/json
下列类型作之一:
ModelDeployment
ModelDeployment
Model Deployment Definition
type
enum
必需
The type of the deployment
ModelDeployment
modelName
string
必需
Publisher-specific name of the deployed model
modelVersion
string
必需
Publisher-specific version of the deployed model
modelPublisher
string
必需
Name of the deployed model's publisher
capabilities
object
必需
Capabilities of deployed model
[key: string]
string
sku
Sku
必需
Sku information
capacity
integer
必需
Sku capacity
family
string
必需
Sku family
name
string
必需
Sku name
size
string
必需
Sku size
tier
string
必需
Sku tier
connectionName
string
Name of the connection the deployment comes from
请求
GET /deployments/{name} HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json